-- Copyright (C) 2017  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details.

-- *****************************************************************************
-- This file contains a Vhdl test bench with test vectors .The test vectors     
-- are exported from a vector file in the Quartus Waveform Editor and apply to  
-- the top level entity of the current Quartus project .The user can use this   
-- testbench to simulate his design using a third-party simulation tool .       
-- *****************************************************************************
-- Generated on "12/15/2020 12:56:17"
                                                             
-- Vhdl Test Bench(with test vectors) for design  :          digit
-- 
-- Simulation tool : 3rd Party
-- 

LIBRARY ieee;                                               
USE ieee.std_logic_1164.all;                                

ENTITY digit_vhd_vec_tst IS
END digit_vhd_vec_tst;
ARCHITECTURE digit_arch OF digit_vhd_vec_tst IS
-- constants                                                 
-- signals                                                   
SIGNAL clk : STD_LOGIC;
SIGNAL E : STD_LOGIC;
SIGNAL QA : STD_LOGIC_VECTOR(3 DOWNTO 0);
SIGNAL QB : STD_LOGIC_VECTOR(3 DOWNTO 0);
SIGNAL QC : STD_LOGIC_VECTOR(3 DOWNTO 0);
SIGNAL raz : STD_LOGIC;
COMPONENT digit
	PORT (
	clk : IN STD_LOGIC;
	E : IN STD_LOGIC;
	QA : OUT STD_LOGIC_VECTOR(3 DOWNTO 0);
	QB : OUT STD_LOGIC_VECTOR(3 DOWNTO 0);
	QC : OUT STD_LOGIC_VECTOR(3 DOWNTO 0);
	raz : IN STD_LOGIC
	);
END COMPONENT;
BEGIN
	i1 : digit
	PORT MAP (
-- list connections between master ports and signals
	clk => clk,
	E => E,
	QA => QA,
	QB => QB,
	QC => QC,
	raz => raz
	);

-- clk
t_prcs_clk: PROCESS
BEGIN
	clk <= '1';
	WAIT FOR 10000 ps;
	FOR i IN 1 TO 49
	LOOP
		clk <= '0';
		WAIT FOR 10000 ps;
		clk <= '1';
		WAIT FOR 10000 ps;
	END LOOP;
	clk <= '0';
WAIT;
END PROCESS t_prcs_clk;

-- E
t_prcs_E: PROCESS
BEGIN
	E <= '0';
	WAIT FOR 480000 ps;
	E <= '1';
	WAIT FOR 220000 ps;
	E <= '0';
WAIT;
END PROCESS t_prcs_E;

-- raz
t_prcs_raz: PROCESS
BEGIN
	raz <= '0';
WAIT;
END PROCESS t_prcs_raz;
END digit_arch;
