-- Copyright (C) 2017  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus Prime"
-- VERSION "Version 17.1.0 Build 590 10/25/2017 SJ Lite Edition"

-- DATE "12/15/2020 12:56:19"

-- 
-- Device: Altera 10M50DAF484C7G Package FBGA484
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY FIFTYFIVENM;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE FIFTYFIVENM.FIFTYFIVENM_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	digit IS
    PORT (
	clk : IN std_logic;
	raz : IN std_logic;
	E : IN std_logic;
	QA : OUT std_logic_vector(3 DOWNTO 0);
	QB : OUT std_logic_vector(3 DOWNTO 0);
	QC : OUT std_logic_vector(3 DOWNTO 0)
	);
END digit;

ARCHITECTURE structure OF digit IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_clk : std_logic;
SIGNAL ww_raz : std_logic;
SIGNAL ww_E : std_logic;
SIGNAL ww_QA : std_logic_vector(3 DOWNTO 0);
SIGNAL ww_QB : std_logic_vector(3 DOWNTO 0);
SIGNAL ww_QC : std_logic_vector(3 DOWNTO 0);
SIGNAL \QA[0]~output_o\ : std_logic;
SIGNAL \QA[1]~output_o\ : std_logic;
SIGNAL \QA[2]~output_o\ : std_logic;
SIGNAL \QA[3]~output_o\ : std_logic;
SIGNAL \QB[0]~output_o\ : std_logic;
SIGNAL \QB[1]~output_o\ : std_logic;
SIGNAL \QB[2]~output_o\ : std_logic;
SIGNAL \QB[3]~output_o\ : std_logic;
SIGNAL \QC[0]~output_o\ : std_logic;
SIGNAL \QC[1]~output_o\ : std_logic;
SIGNAL \QC[2]~output_o\ : std_logic;
SIGNAL \QC[3]~output_o\ : std_logic;
SIGNAL \E~input_o\ : std_logic;
SIGNAL \clk~input_o\ : std_logic;
SIGNAL \C[0]~0_combout\ : std_logic;
SIGNAL \C[0]~1_combout\ : std_logic;
SIGNAL \raz~input_o\ : std_logic;
SIGNAL \C[1]~2_combout\ : std_logic;
SIGNAL \C[1]~3_combout\ : std_logic;
SIGNAL \C[2]~4_combout\ : std_logic;
SIGNAL \B[0]~0_combout\ : std_logic;
SIGNAL \B[3]~1_combout\ : std_logic;
SIGNAL \B[0]~2_combout\ : std_logic;
SIGNAL \B[1]~3_combout\ : std_logic;
SIGNAL \Add1~0_combout\ : std_logic;
SIGNAL \B[2]~4_combout\ : std_logic;
SIGNAL \Add1~1_combout\ : std_logic;
SIGNAL \B[3]~5_combout\ : std_logic;
SIGNAL \LessThan2~0_combout\ : std_logic;
SIGNAL \A[0]~1_combout\ : std_logic;
SIGNAL \A[1]~2_combout\ : std_logic;
SIGNAL \Add0~0_combout\ : std_logic;
SIGNAL \A[2]~3_combout\ : std_logic;
SIGNAL \Add0~1_combout\ : std_logic;
SIGNAL \A[3]~4_combout\ : std_logic;
SIGNAL \LessThan1~0_combout\ : std_logic;
SIGNAL \A[0]~0_combout\ : std_logic;
SIGNAL \QA[0]~reg0_q\ : std_logic;
SIGNAL \QA[1]~reg0_q\ : std_logic;
SIGNAL \QA[2]~reg0_q\ : std_logic;
SIGNAL \QA[3]~reg0_q\ : std_logic;
SIGNAL \QB[0]~reg0_q\ : std_logic;
SIGNAL \QB[1]~reg0_q\ : std_logic;
SIGNAL \QB[2]~reg0_q\ : std_logic;
SIGNAL \QB[3]~reg0_q\ : std_logic;
SIGNAL \QC[0]~reg0_q\ : std_logic;
SIGNAL \QC[1]~reg0_q\ : std_logic;
SIGNAL \QC[2]~reg0_q\ : std_logic;
SIGNAL A : std_logic_vector(3 DOWNTO 0);
SIGNAL B : std_logic_vector(3 DOWNTO 0);
SIGNAL C : std_logic_vector(3 DOWNTO 0);
SIGNAL \ALT_INV_raz~input_o\ : std_logic;
SIGNAL \ALT_INV_E~input_o\ : std_logic;

BEGIN

ww_clk <= clk;
ww_raz <= raz;
ww_E <= E;
QA <= ww_QA;
QB <= ww_QB;
QC <= ww_QC;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;
\ALT_INV_raz~input_o\ <= NOT \raz~input_o\;
\ALT_INV_E~input_o\ <= NOT \E~input_o\;

\QA[0]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QA[0]~reg0_q\,
	devoe => ww_devoe,
	o => \QA[0]~output_o\);

\QA[1]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QA[1]~reg0_q\,
	devoe => ww_devoe,
	o => \QA[1]~output_o\);

\QA[2]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QA[2]~reg0_q\,
	devoe => ww_devoe,
	o => \QA[2]~output_o\);

\QA[3]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QA[3]~reg0_q\,
	devoe => ww_devoe,
	o => \QA[3]~output_o\);

\QB[0]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QB[0]~reg0_q\,
	devoe => ww_devoe,
	o => \QB[0]~output_o\);

\QB[1]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QB[1]~reg0_q\,
	devoe => ww_devoe,
	o => \QB[1]~output_o\);

\QB[2]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QB[2]~reg0_q\,
	devoe => ww_devoe,
	o => \QB[2]~output_o\);

\QB[3]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QB[3]~reg0_q\,
	devoe => ww_devoe,
	o => \QB[3]~output_o\);

\QC[0]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QC[0]~reg0_q\,
	devoe => ww_devoe,
	o => \QC[0]~output_o\);

\QC[1]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QC[1]~reg0_q\,
	devoe => ww_devoe,
	o => \QC[1]~output_o\);

\QC[2]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \QC[2]~reg0_q\,
	devoe => ww_devoe,
	o => \QC[2]~output_o\);

\QC[3]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \QC[3]~output_o\);

\E~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_E,
	o => \E~input_o\);

\clk~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk,
	o => \clk~input_o\);

\C[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \C[0]~0_combout\ = (!\E~input_o\ & (!C(2) & (!\LessThan1~0_combout\ & !\LessThan2~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \E~input_o\,
	datab => C(2),
	datac => \LessThan1~0_combout\,
	datad => \LessThan2~0_combout\,
	combout => \C[0]~0_combout\);

\C[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \C[0]~1_combout\ = C(0) $ (\C[0]~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => C(0),
	datad => \C[0]~0_combout\,
	combout => \C[0]~1_combout\);

\raz~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_raz,
	o => \raz~input_o\);

\C[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~input_o\,
	d => \C[0]~1_combout\,
	clrn => \ALT_INV_raz~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => C(0));

\C[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \C[1]~2_combout\ = ((C(2)) # (\LessThan1~0_combout\)) # (!C(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110111111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => C(0),
	datab => C(2),
	datac => \LessThan1~0_combout\,
	combout => \C[1]~2_combout\);

\C[1]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \C[1]~3_combout\ = C(1) $ (((!\E~input_o\ & (!\LessThan2~0_combout\ & !\C[1]~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => C(1),
	datab => \E~input_o\,
	datac => \LessThan2~0_combout\,
	datad => \C[1]~2_combout\,
	combout => \C[1]~3_combout\);

\C[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~input_o\,
	d => \C[1]~3_combout\,
	clrn => \ALT_INV_raz~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => C(1));

\C[2]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \C[2]~4_combout\ = C(2) $ (((C(0) & (C(1) & \C[0]~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => C(2),
	datab => C(0),
	datac => C(1),
	datad => \C[0]~0_combout\,
	combout => \C[2]~4_combout\);

\C[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~input_o\,
	d => \C[2]~4_combout\,
	clrn => \ALT_INV_raz~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => C(2));

\B[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \B[0]~0_combout\ = (\E~input_o\) # ((\LessThan1~0_combout\) # ((C(2) & !\LessThan2~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \E~input_o\,
	datab => \LessThan1~0_combout\,
	datac => C(2),
	datad => \LessThan2~0_combout\,
	combout => \B[0]~0_combout\);

\B[3]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \B[3]~1_combout\ = (\LessThan2~0_combout\ & (!\E~input_o\ & !\LessThan1~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \LessThan2~0_combout\,
	datac => \E~input_o\,
	datad => \LessThan1~0_combout\,
	combout => \B[3]~1_combout\);

\B[0]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \B[0]~2_combout\ = (B(0) & (\B[0]~0_combout\)) # (!B(0) & ((\B[3]~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \B[0]~0_combout\,
	datab => \B[3]~1_combout\,
	datad => B(0),
	combout => \B[0]~2_combout\);

\B[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~input_o\,
	d => \B[0]~2_combout\,
	clrn => \ALT_INV_raz~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => B(0));

\B[1]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \B[1]~3_combout\ = (B(1) & ((\B[0]~0_combout\) # ((\B[3]~1_combout\ & !B(0))))) # (!B(1) & (((\B[3]~1_combout\ & B(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \B[0]~0_combout\,
	datab => \B[3]~1_combout\,
	datac => B(1),
	datad => B(0),
	combout => \B[1]~3_combout\);

\B[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~input_o\,
	d => \B[1]~3_combout\,
	clrn => \ALT_INV_raz~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => B(1));

\Add1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Add1~0_combout\ = B(2) $ (((B(0) & B(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => B(2),
	datac => B(0),
	datad => B(1),
	combout => \Add1~0_combout\);

\B[2]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \B[2]~4_combout\ = (B(2) & ((\B[0]~0_combout\) # ((\B[3]~1_combout\ & \Add1~0_combout\)))) # (!B(2) & (\B[3]~1_combout\ & (\Add1~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => B(2),
	datab => \B[3]~1_combout\,
	datac => \Add1~0_combout\,
	datad => \B[0]~0_combout\,
	combout => \B[2]~4_combout\);

\B[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~input_o\,
	d => \B[2]~4_combout\,
	clrn => \ALT_INV_raz~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => B(2));

\Add1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Add1~1_combout\ = B(3) $ (((B(0) & (B(1) & B(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => B(3),
	datab => B(0),
	datac => B(1),
	datad => B(2),
	combout => \Add1~1_combout\);

\B[3]~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \B[3]~5_combout\ = (B(3) & ((\B[0]~0_combout\) # ((\B[3]~1_combout\ & \Add1~1_combout\)))) # (!B(3) & (\B[3]~1_combout\ & (\Add1~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => B(3),
	datab => \B[3]~1_combout\,
	datac => \Add1~1_combout\,
	datad => \B[0]~0_combout\,
	combout => \B[3]~5_combout\);

\B[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~input_o\,
	d => \B[3]~5_combout\,
	clrn => \ALT_INV_raz~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => B(3));

\LessThan2~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \LessThan2~0_combout\ = ((!B(0) & (!B(1) & !B(2)))) # (!B(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => B(0),
	datab => B(1),
	datac => B(2),
	datad => B(3),
	combout => \LessThan2~0_combout\);

\A[0]~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \A[0]~1_combout\ = (\E~input_o\) # ((!\LessThan1~0_combout\ & !\LessThan2~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \E~input_o\,
	datac => \LessThan1~0_combout\,
	datad => \LessThan2~0_combout\,
	combout => \A[0]~1_combout\);

\A[1]~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \A[1]~2_combout\ = (\A[0]~1_combout\ & (A(1))) # (!\A[0]~1_combout\ & (\LessThan1~0_combout\ & (A(1) $ (A(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001100010101000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => A(1),
	datab => \A[0]~1_combout\,
	datac => \LessThan1~0_combout\,
	datad => A(0),
	combout => \A[1]~2_combout\);

\A[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~input_o\,
	d => \A[1]~2_combout\,
	clrn => \ALT_INV_raz~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => A(1));

\Add0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Add0~0_combout\ = A(2) $ (((A(0) & A(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => A(2),
	datac => A(0),
	datad => A(1),
	combout => \Add0~0_combout\);

\A[2]~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \A[2]~3_combout\ = (\A[0]~1_combout\ & (A(2))) # (!\A[0]~1_combout\ & (((\LessThan1~0_combout\ & \Add0~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => A(2),
	datab => \LessThan1~0_combout\,
	datac => \Add0~0_combout\,
	datad => \A[0]~1_combout\,
	combout => \A[2]~3_combout\);

\A[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~input_o\,
	d => \A[2]~3_combout\,
	clrn => \ALT_INV_raz~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => A(2));

\Add0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Add0~1_combout\ = A(3) $ (((A(0) & (A(1) & A(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => A(3),
	datab => A(0),
	datac => A(1),
	datad => A(2),
	combout => \Add0~1_combout\);

\A[3]~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \A[3]~4_combout\ = (\A[0]~1_combout\ & (A(3))) # (!\A[0]~1_combout\ & (((\LessThan1~0_combout\ & \Add0~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => A(3),
	datab => \LessThan1~0_combout\,
	datac => \Add0~1_combout\,
	datad => \A[0]~1_combout\,
	combout => \A[3]~4_combout\);

\A[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~input_o\,
	d => \A[3]~4_combout\,
	clrn => \ALT_INV_raz~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => A(3));

\LessThan1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \LessThan1~0_combout\ = ((!A(0) & (!A(1) & !A(2)))) # (!A(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => A(0),
	datab => A(1),
	datac => A(2),
	datad => A(3),
	combout => \LessThan1~0_combout\);

\A[0]~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \A[0]~0_combout\ = (A(0) & ((\E~input_o\) # ((!\LessThan1~0_combout\ & !\LessThan2~0_combout\)))) # (!A(0) & (!\E~input_o\ & (\LessThan1~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001100010011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => A(0),
	datab => \E~input_o\,
	datac => \LessThan1~0_combout\,
	datad => \LessThan2~0_combout\,
	combout => \A[0]~0_combout\);

\A[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~input_o\,
	d => \A[0]~0_combout\,
	clrn => \ALT_INV_raz~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => A(0));

\QA[0]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \ALT_INV_E~input_o\,
	d => A(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \QA[0]~reg0_q\);

\QA[1]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \ALT_INV_E~input_o\,
	d => A(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \QA[1]~reg0_q\);

\QA[2]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \ALT_INV_E~input_o\,
	d => A(2),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \QA[2]~reg0_q\);

\QA[3]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \ALT_INV_E~input_o\,
	d => A(3),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \QA[3]~reg0_q\);

\QB[0]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \ALT_INV_E~input_o\,
	d => B(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \QB[0]~reg0_q\);

\QB[1]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \ALT_INV_E~input_o\,
	d => B(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \QB[1]~reg0_q\);

\QB[2]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \ALT_INV_E~input_o\,
	d => B(2),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \QB[2]~reg0_q\);

\QB[3]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \ALT_INV_E~input_o\,
	d => B(3),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \QB[3]~reg0_q\);

\QC[0]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \ALT_INV_E~input_o\,
	d => C(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \QC[0]~reg0_q\);

\QC[1]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \ALT_INV_E~input_o\,
	d => C(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \QC[1]~reg0_q\);

\QC[2]~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \ALT_INV_E~input_o\,
	d => C(2),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \QC[2]~reg0_q\);

ww_QA(0) <= \QA[0]~output_o\;

ww_QA(1) <= \QA[1]~output_o\;

ww_QA(2) <= \QA[2]~output_o\;

ww_QA(3) <= \QA[3]~output_o\;

ww_QB(0) <= \QB[0]~output_o\;

ww_QB(1) <= \QB[1]~output_o\;

ww_QB(2) <= \QB[2]~output_o\;

ww_QB(3) <= \QB[3]~output_o\;

ww_QC(0) <= \QC[0]~output_o\;

ww_QC(1) <= \QC[1]~output_o\;

ww_QC(2) <= \QC[2]~output_o\;

ww_QC(3) <= \QC[3]~output_o\;
END structure;


